Bug 21629 - Crash in pppd
Crash in pppd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-02 17:18 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 22:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-02 17:18:03 EST
When I receive incoming call, mgetty make connection, but when pppd starts 
kernel crash.

Dec  3 00:05:43 mimi kernel: Lucent Modem driver version 4.27.5.66 with 
MANY_PORTS MULTIPORT SHARE_IRQ enabled
Dec  3 00:05:43 mimi kernel: ttyS14 at 0xc000 (irq = 9) is a Lucent
Dec  3 00:05:43 mimi mgetty[1192]: mgetty: experimental test release 
1.1.22-Aug17: Success
Dec  3 00:05:43 mimi mgetty[1192]: check for lockfiles: Function not 
implemented
Dec  3 00:05:43 mimi mgetty[1192]: locking the line: No such file or 
directory
Dec  3 00:05:43 mimi mgetty[1192]: lowering DTR to reset Modem: No such 
file or directory
Dec  3 00:05:44 mimi mgetty[1192]: send: : No such file or directory
Dec  3 00:05:44 mimi mgetty[1192]: waiting for ``OK'': No such file or 
directory
Dec  3 00:05:44 mimi mgetty[1192]: waiting...: No such file or directory
Dec  3 00:06:00 mimi mgetty[1192]: wfr: waiting for ``RING'': No such file 
or directory
Dec  3 00:06:00 mimi CROND[1196]: (mailman) CMD (/usr/bin/python -
S /usr/share/mailman/cron/qrunner) 
Dec  3 00:06:00 mimi mgetty[1192]: send: : Operation not permitted
Dec  3 00:06:00 mimi mgetty[1192]: waiting for ``CONNECT'': Operation not 
permitted
Dec  3 00:06:44 mimi mgetty[1192]: send: : Operation not permitted
Dec  3 00:06:44 mimi mgetty[1192]: waiting for ``_'': Operation not 
permitted
Dec  3 00:06:48 mimi mgetty[1192]: data dev=ttyS14, pid=1192, 
caller='none', conn='33600 V42bis', name='', cmd='/usr/sbin/pppd', 
user='/AutoPPP/'
Dec  3 00:06:48 mimi kernel: CSLIP: code copyright 1989 Regents of the 
University of California
Dec  3 00:06:48 mimi kernel: PPP: version 2.3.7 (demand dialling)
Dec  3 00:06:48 mimi kernel: PPP line discipline registered.
Dec  3 00:06:48 mimi kernel: registered device ppp0
Dec  3 00:06:48 mimi pppd[1192]: pppd 2.3.11 started by a_ppp, uid 0
Dec  3 00:06:48 mimi pppd[1192]: Using interface ppp0
Dec  3 00:06:48 mimi pppd[1192]: Connect: ppp0 <--> /dev/ttyS14
Dec  3 00:06:48 mimi kernel: Unable to handle kernel paging request at 
virtual address 60000000
Dec  3 00:06:48 mimi kernel: current->tss.cr3 = 03a47000, %cr3 = 03a47000
Dec  3 00:06:48 mimi kernel: *pde = 00000000
Dec  3 00:06:48 mimi kernel: Oops: 0002
Dec  3 00:06:48 mimi kernel: CPU:    0
Dec  3 00:06:48 mimi kernel: EIP:    0010:
[agpgart:__insmod_agpgart_S.bss_L200+389057/9783011]
Dec  3 00:06:48 mimi kernel: EFLAGS: 00010006
Dec  3 00:06:48 mimi kernel: eax: 00000fff   ebx: 0000003d   ecx: 
0000000f   edx: 00001000
Dec  3 00:06:48 mimi kernel: esi: c3fe7638   edi: 60000000   ebp: 
c3fe7400   esp: c124decc
Dec  3 00:06:48 mimi kernel: ds: 0018   es: 0018   ss: 0018
Dec  3 00:06:48 mimi kernel: Process pppd (pid: 1192, process nr: 58, 
stackpage=c124d000)
Dec  3 00:06:48 mimi kernel: Stack: 00000001 c3fe7400 00000286 00000000 
c40f6e8b c003f000 00000000 c3fe7638 
Dec  3 00:06:48 mimi kernel:        0000003d c3fe7400 c1a3b960 c3a7b6e0 
c40f6da8 c3fe7400 0000c021 c40f9017 
Dec  3 00:06:48 mimi kernel:        c3fe7400 c3a7b6e0 c3fe7420 c3fe7400 
c3fe7420 c1a3b960 00000020 c40f930b 
Dec  3 00:06:48 mimi kernel: Call Trace: 
[agpgart:__insmod_agpgart_S.bss_L200+673451/9498617] 
[agpgart:__insmod_agpgart_S.bss_L200+673224/9498844] 
[agpgart:__insmod_agpgart_S.bss_L200+682039/9490029] 
[agpgart:__insmod_agpgart_S.bss_L200+682795/9489273] 
[agpgart:__insmod_agpgart_S.bss_L200+671395/9500673] [tty_write+458/528] 
[agpgart:__insmod_agpgart_S.bss_L200+671152/9500916] 
Dec  3 00:06:48 mimi kernel:        [sys_write+219/256] [tty_write+0/528] 
[system_call+52/56] 
Dec  3 00:06:48 mimi kernel: Code: f3 a5 f6 c3 02 74 02 66 a5 f6 c3 01 74 
01 a4 89 d8 03 45 5c 
Dec  3 00:06:48 mimi kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000604
Dec  3 00:06:48 mimi kernel: current->tss.cr3 = 00101000, %cr3 = 00101000
Dec  3 00:06:48 mimi kernel: *pde = 00000000
Dec  3 00:06:48 mimi kernel: Oops: 0000
Dec  3 00:06:48 mimi kernel: CPU:    0
Dec  3 00:06:48 mimi kernel: EIP:    0010:
[agpgart:__insmod_agpgart_S.bss_L200+393830/9778238]
Dec  3 00:06:48 mimi kernel: EFLAGS: 00010202
Dec  3 00:06:48 mimi kernel: eax: 00000000   ebx: c3fe7400   ecx: 
c003f000   edx: 00000000
Dec  3 00:06:48 mimi kernel: esi: 000005dc   edi: c3ee15c0   ebp: 
c003f000   esp: c124dd4c
Dec  3 00:06:48 mimi kernel: ds: 0018   es: 0018   ss: 0018
Dec  3 00:06:48 mimi kernel: Process pppd (pid: 1192, process nr: 58, 
stackpage=c124d000)
Dec  3 00:06:48 mimi kernel: Stack: c3ee15c0 00000000 00000286 c01a4013 
c003f000 c3ee15c0 c3ee15c0 c302b650 
Dec  3 00:06:48 mimi kernel:        c3028460 00000001 c003f000 00000000 
00000000 00005000 c019cc22 0000000e 
Dec  3 00:06:48 mimi kernel:        00000001 c027ef00 00000000 c02ebff8 
003fc000 c39ee000 00000003 c3ee15c0 
Dec  3 00:06:48 mimi kernel: Call Trace: [release_dev+663/1700] 
[set_cursor+110/132] [check_pgt_cache+17/24] [tty_release+10/16] 
[__fput+31/72] [fput+23/72] [filp_close+82/92] 
Dec  3 00:06:48 mimi kernel:        [do_exit+297/628] 
[die_if_no_fixup+0/64] [error_table+2631/9344] [error_table+9070/9344] 
[do_page_fault+708/944] [error_table+9070/9344] [error_code+45/56] 
[agpgart:__insmod_agpgart_S.bss_L200+389057/9783011] 
Dec  3 00:06:48 mimi kernel:        
[agpgart:__insmod_agpgart_S.bss_L200+673451/9498617] 
[agpgart:__insmod_agpgart_S.bss_L200+673224/9498844] 
[agpgart:__insmod_agpgart_S.bss_L200+682039/9490029] 
[agpgart:__insmod_agpgart_S.bss_L200+682795/9489273] 
[agpgart:__insmod_agpgart_S.bss_L200+671395/9500673] [tty_write+458/528] 
[agpgart:__insmod_agpgart_S.bss_L200+671152/9500916] [sys_write+219/256] 
Dec  3 00:06:48 mimi kernel:        [tty_write+0/528] [system_call+52/56] 
Dec  3 00:06:48 mimi kernel: Code: 8b 46 28 8d 48 ff 89 4e 28 89 c8 85 c0 
7d 18 50 ff 73 48 68 
Dec  3 00:06:48 mimi kernel: Unable to handle kernel NULL pointer 
dereference at virtual address 00000014
Dec  3 00:06:48 mimi kernel: current->tss.cr3 = 00101000,%cr3 = 00101000
Dec  3 00:06:48 mimi kernel: *pde = 00000000
Dec  3 00:06:48 mimi kernel: Oops: 0000
Dec  3 00:06:48 mimi kernel: CPU:    0
Dec  3 00:06:48 mimi kernel: EIP:    0010:
[agpgart:__insmod_agpgart_S.bss_L200+394392/9777676]
Dec  3 00:06:48 mimi kernel: EFLAGS: 00010286
Dec  3 00:06:48 mimi kernel: eax: c003f000   ebx: 00000000   ecx: 
c003f000   edx: 00000012
Dec  3 00:06:48 mimi kernel: esi: c003f000   edi: c003f100   ebp: 
00000002   esp: c124dc4c
Dec  3 00:06:48 mimi kernel: ds: 0018   es: 0018   ss: 0018
Dec  3 00:06:48 mimi kernel: Process pppd (pid: 1192, process nr: 58, 
stackpage=c124d000)
Dec  3 00:06:48 mimi kernel: Stack: c01a32cd c003f000 c003f000 000004a8 
c124c000 00000001 c003f000 00000000 
Dec  3 00:06:48 mimi kernel:        c01a3316 c003f000 c01a338b c003f000 
00000000 c124c000 c124c000 c124c000 
Dec  3 00:06:48 mimi kernel:        c01176ed 00000001 00000292 c124c000 
00000000 c003f000 c0117926 c124dd10 
Dec  3 00:06:48 mimi kernel: Call Trace: [do_tty_hangup+637/648] 
[tty_vhangup+10/16] [disassociate_ctty+91/212] [exit_notify+461/472] 
[do_exit+558/628] [die_if_no_fixup+0/64] [error_table+2631/9344] 
Dec  3 00:06:48 mimi kernel:        [error_table+9070/9344] 
[do_page_fault+708/944] [error_table+9070/9344] [error_code+45/56] 
[vt_console_print+388/784] 
[agpgart:__insmod_agpgart_S.bss_L200+393830/9778238] 
[release_dev+663/1700] [set_cursor+110/132] 
Dec  3 00:06:48 mimi kernel:        [check_pgt_cache+17/24] 
[tty_release+10/16] [__fput+31/72] [fput+23/72] [filp_close+82/92] 
[do_exit+297/628] [die_if_no_fixup+0/64] [error_table+2631/9344] 
Dec  3 00:06:48 mimi kernel:        [error_table+9070/9344] 
[do_page_fault+708/944] [error_table+9070/9344] [error_code+45/56] 
[agpgart:__insmod_agpgart_S.bss_L200+389057/9783011] 
[agpgart:__insmod_agpgart_S.bss_L200+673451/9498617] 
[agpgart:__insmod_agpgart_S.bss_L200+673224/9498844] 
[agpgart:__insmod_agpgart_S.bss_L200+682039/9490029] 
Dec  3 00:06:48 mimi kernel:        
[agpgart:__insmod_agpgart_S.bss_L200+682795/9489273] 
[agpgart:__insmod_agpgart_S.bss_L200+671395/9500673] [tty_write+458/528] 
[agpgart:__insmod_agpgart_S.bss_L200+671152/9500916] [sys_write+219/256] 
[tty_write+0/528] [system_call+52/56] 
Dec  3 00:06:48 mimi kernel: Code: 8b 73 14 50 e8 bb eb ff ff 53 e8 19 e3 
ff ff c7 43 40 00 00 
Dec  3 00:06:48 mimi mgetty[1199]: mgetty: experimental test release 
1.1.22-Aug17: Success
Dec  3 00:06:48 mimi mgetty[1199]: check for lockfiles: Function not 
implemented
Dec  3 00:06:48 mimi mgetty[1199]: locking the line: No such process
Dec  3 00:06:49 mimi mgetty[1199]: WARNING: DCD line still active, check 
modem settings (AT&Dx): No such process
Dec  3 00:06:49 mimi mgetty[1199]: lowering DTR to reset Modem: No such 
process
Dec  3 00:06:49 mimi mgetty[1199]: send: : No such process
Dec  3 00:07:00 mimi CROND[1201]: (mailman) CMD (/usr/bin/python -
S /usr/share/mailman/cron/qrunner)
Comment 1 Nalin Dahyabhai 2001-01-15 22:58:03 EST
Which version of the kernel do you have installed?  Does it happen when you use
a regular serial port without the Lucent driver loaded?
Comment 2 Ben LaHaise 2002-06-18 15:47:26 EDT
This bug has been inactive for a year.  Please reopen if the bug exists in 7.3.

Note You need to log in before you can comment on or make changes to this bug.